Page MenuHomePhabricator

Patch Mary to use system logger
Closed, ResolvedPublic2 Estimated Story Points

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
Resolvedkalle

Event Timeline

kalle created this task.May 28 2020, 11:21 AM
kalle set the point value for this task to 2.
kalle added a comment.Jun 5 2020, 12:23 PM

There is quite a bit of logging to stdout and stderr. This is not a problem for WMF, but it might be a problem if we in the future need to inspect the logs due to some issue in production. We should have a chat about this at some point, whether or not we should port all of these console output to use the Log4J framework used by Mary.

There is quite a bit of logging to stdout and stderr. This is not a problem for WMF, but it might be a problem if we in the future need to inspect the logs due to some issue in production. We should have a chat about this at some point, whether or not we should port all of these console output to use the Log4J framework used by Mary.

Not a problem for us if you want to reduce the logging.

On the other hand, we have discussed the possibility of removing Marytts from the default configuration for Wikispeech in the future. So perhaps it's not worth spending too much effort on tweaking the logging.

kalle moved this task from 🤯 Done to 😘 Review on the User-kalle board.Jun 9 2020, 5:47 PM
kalle added a comment.Jun 9 2020, 5:50 PM

Merged to Gerrit

kalle@musa:~/projekt/wikimedia/wikispeech-services/mary-tts$ tmp=$(mktemp)
kalle@musa:~/projekt/wikimedia/wikispeech-services/mary-tts$ hook=$(readlink -f $(git rev-parse --git-dir))/hooks/commit-msg
kalle@musa:~/projekt/wikimedia/wikispeech-services/mary-tts$ git filter-branch -f --msg-filter "cat > $tmp; \"$hook\" $tmp; cat $tmp" @{u}..HEAD
WARNING: git-filter-branch has a glut of gotchas generating mangled history
	 rewrites.  Hit Ctrl-C before proceeding to abort, then use an
	 alternative filtering tool such as 'git filter-repo'
	 (https://github.com/newren/git-filter-repo/) instead.  See the
	 filter-branch manual page for more details; to squelch this warning,
	 set FILTER_BRANCH_SQUELCH_WARNING=1.
Proceeding with filter-branch...

Rewrite 97eebf4e2fa7efb4f97f7253d5208ccd72005ed2 (4/4) (0 seconds passed, remaining 0 predicted)    
Ref 'refs/heads/master' was rewritten
kalle@musa:~/projekt/wikimedia/wikispeech-services/mary-tts$ git review -R
You are about to submit multiple commits. This is expected if you are
submitting a commit that is dependent on one or more in-review
commits, or if you are submitting multiple self-contained but
dependent changes. Otherwise you should consider squashing your
changes into one commit before submitting (for indivisible changes) or
submitting from separate branches (for independent changes).

The outstanding commits are:

e7447077 (HEAD -> master) Merge remote-tracking branch 'github/master'
9ed911be Removed docker build from travis build tests
6f2f63ed Merge pull request #5 from karlwettin/master
7ffebe54 Removed logging to file and added logging to syslog at WARNing threshold.

Do you really want to submit the above commits?
Type 'yes' to confirm, other to cancel: yes
remote: 
remote: Processing changes: new: 4 (\)
remote: Processing changes: new: 4 (|)
remote: Processing changes: new: 4 (/)
remote: Processing changes: new: 4 (-)
remote: Processing changes: new: 4 (\)
remote: Processing changes: new: 4 (\)
remote: Processing changes: new: 4, done            
remote: commit 6f2f63e: warning: 6f2f63e: too many message lines longer than 120 characters; manually wrap lines        
remote: 
remote: New Changes:        
remote:   https://gerrit.wikimedia.org/r/#/c/mediawiki/services/wikispeech/mary-tts/+/604092 Removed logging to file and added logging to syslog at WARNing threshold.        
remote:   https://gerrit.wikimedia.org/r/#/c/mediawiki/services/wikispeech/mary-tts/+/604093 Merge pull request #5 from karlwettin/master        
remote:   https://gerrit.wikimedia.org/r/#/c/mediawiki/services/wikispeech/mary-tts/+/604094 Removed docker build from travis build tests        
remote:   https://gerrit.wikimedia.org/r/#/c/mediawiki/services/wikispeech/mary-tts/+/604095 Merge remote-tracking branch 'github/master'        
remote: 
To ssh://gerrit.wikimedia.org:29418/mediawiki/services/wikispeech/mary-tts
 * [new branch]        HEAD -> refs/for/master
kalle@musa:~/projekt/wikimedia/wikispeech-services/mary-tts$
Lokal_Profil closed this task as Resolved.Jun 11 2020, 11:13 AM
Jopparn moved this task from 😘 Review to 🤯 Done on the User-kalle board.Aug 11 2020, 11:40 AM
This comment was removed by HaraldBerthelsen.